From owner-cvs-committers@FreeBSD.org  Mon Apr 15 08:30:45 2002
Delivered-To: obrien@freebsd.org
Return-Path: owner-cvs-committers@FreeBSD.org
Received: from localhost
	by localhost with POP3 (fetchmail-5.8.17)
	for obrien@localhost (single-drop); Mon, 15 Apr 2002 08:30:45 -0700 (PDT)
Received: by hub.freebsd.org (Postfix, from userid 538)
	id ED56537B400; Mon, 15 Apr 2002 08:30:19 -0700 (PDT)
Delivered-To: cvs-committers@freebsd.org
Received: from freefall.freebsd.org (freefall.FreeBSD.org [216.136.204.21])
	by hub.freebsd.org (Postfix) with ESMTP
	id B393037B429; Mon, 15 Apr 2002 08:30:10 -0700 (PDT)
Received: (from ru@localhost)
	by freefall.freebsd.org (8.11.6/8.11.6) id g3FFUAU77978;
	Mon, 15 Apr 2002 08:30:10 -0700 (PDT)
	(envelope-from ru)
Message-Id: <200204151530.g3FFUAU77978@freefall.freebsd.org>
From: Ruslan Ermilov <ru@FreeBSD.org>
Date: Mon, 15 Apr 2002 08:30:10 -0700 (PDT)
To: cvs-committers@FreeBSD.org, cvs-all@FreeBSD.org
Subject: cvs commit: src/lib/libypclnt Makefile
X-FreeBSD-CVS-Branch: HEAD
Sender: owner-cvs-committers@FreeBSD.org
Precedence: bulk
X-Loop: FreeBSD.ORG
X-UIDL: 7ec03f89301a37dea705f18e57a5f0a9
Status: RO
Content-Length: 298
Lines: 10

ru          2002/04/15 08:30:10 PDT

  Modified files:
    lib/libypclnt        Makefile 
  Log:
  This isn't WARNS ready in the -nostdinc case.
  
  Revision  Changes    Path
  1.4       +1 -0      src/lib/libypclnt/Makefile
http://cvsweb.freebsd.org/src/lib/libypclnt/Makefile.diff?r1=1.3&r2=1.4

From obrien@FreeBSD.org Mon Apr 15 15:52:35 2002
Date: Mon, 15 Apr 2002 15:52:35 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: des@freebsd.org
Subject: I intend to commit this
Message-ID: <20020415155235.A253@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 1907
Lines: 68

Unless you commit something simular.  Your Makefile style is WAY off from
everything else in FreeBSD'ville.


Index: Makefile
===================================================================
RCS file: /home/ncvs/src/lib/libypclnt/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- Makefile	15 Apr 2002 15:39:14 -0000	1.5
+++ Makefile	15 Apr 2002 22:46:41 -0000
@@ -1,37 +1,26 @@
 # $FreeBSD: src/lib/libypclnt/Makefile,v 1.5 2002/04/15 15:39:14 des Exp $
 
-LIB		 = ypclnt
-SHLIB_MAJOR	 = 1
-SHLIB_MINOR	 = 0
-SRCS		 =
-SRCS		+= ypclnt_connect.c
-SRCS		+= ypclnt_error.c
-SRCS		+= ypclnt_free.c
-SRCS		+= ypclnt_new.c
-SRCS		+= ypclnt_passwd.c
-SRCS		+= ${GENSRCS}
-INCS		 = ypclnt.h
-CLEANFILES	+= ${GENSRCS}
-CFLAGS		+= -I.
-WARNS		?= 4
-NO_WERROR	 = yes
-DPADD		+= ${LIBRPCSVC}
-LDADD		+= -lrpcsvc
+LIB= ypclnt
+SHLIB_MAJOR=1
+SHLIB_MINOR=0
+SRCS=	ypclnt_connect.c ypclnt_error.c ypclnt_free.c ypclnt_new.c \
+	ypclnt_passwd.c
+SRCS+=	${GENSRCS}
+INCS=	ypclnt.h
+CLEANFILES+= ${GENSRCS}
+CFLAGS+= -I.
+WARNS?=	4
+DPADD=	${LIBRPCSVC}
+LDADD=	-lrpcsvc
 
-GENSRCS		 =
-GENSRCS		+= yp.h
-GENSRCS		+= yp_clnt.c
-GENSRCS		+= yppasswd.h
-GENSRCS		+= yppasswd_xdr.c
-GENSRCS		+= yppasswd_clnt.c
-GENSRCS		+= yppasswd_private.h
-GENSRCS		+= yppasswd_private_clnt.c
-GENSRCS		+= yppasswd_private_xdr.c
+GENSRCS+= yp.h yp_clnt.c \
+	yppasswd.h yppasswd_xdr.c yppasswd_clnt.c yppasswd_private.h \
+	yppasswd_private_clnt.c yppasswd_private_xdr.c
 
-RPCGEN		 = rpcgen -C
-RPCSRC		 = ${.CURDIR}/../../include/rpcsvc/yp.x
-RPCSRC_PW	 = ${.CURDIR}/../../include/rpcsvc/yppasswd.x
-RPCSRC_PRIV	 = ${.CURDIR}/../../usr.sbin/rpc.yppasswdd/yppasswd_private.x
+RPCGEN=	rpcgen -C
+RPCSRC=	${.CURDIR}/../../include/rpcsvc/yp.x
+RPCSRC_PW=	${.CURDIR}/../../include/rpcsvc/yppasswd.x
+RPCSRC_PRIV=	${.CURDIR}/../../usr.sbin/rpc.yppasswdd/yppasswd_private.x
 
 yp.h: ${RPCSRC}
 	${RPCGEN} -h -o ${.TARGET} ${RPCSRC}

From obrien@FreeBSD.org Mon Apr 15 16:12:49 2002
Date: Mon, 15 Apr 2002 16:12:49 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: bde@freebsd.org, ru@freebsd.org
Cc: Dag-Erling Smorgrav <des@ofug.org>
Subject: Re: I intend to commit this
Message-ID: <20020415161249.A589@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
References: <20020415155235.A253@dragon.nuxi.com> <xzpu1qcbmfm.fsf@flood.ping.uio.no>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
In-Reply-To: <xzpu1qcbmfm.fsf@flood.ping.uio.no>; from des@ofug.org on Tue, Apr 16, 2002 at 12:56:45AM +0200
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 2164
Lines: 76

Uh... it is??


On Tue, Apr 16, 2002 at 12:56:45AM +0200, Dag-Erling Smorgrav wrote:
> "David O'Brien" <obrien@freebsd.org> writes:
> > Unless you commit something simular.  Your Makefile style is WAY off
> > from everything else in FreeBSD'ville.
> 
> Uh, no.  This is the style we've been moving towards for the past
> couple of years.  Take it up with Bruce.

---
Index: Makefile
===================================================================
RCS file: /home/ncvs/src/lib/libypclnt/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- Makefile	15 Apr 2002 15:39:14 -0000	1.5
+++ Makefile	15 Apr 2002 22:46:41 -0000
@@ -1,37 +1,26 @@
 # $FreeBSD: src/lib/libypclnt/Makefile,v 1.5 2002/04/15 15:39:14 des Exp $
 
-LIB		 = ypclnt
-SHLIB_MAJOR	 = 1
-SHLIB_MINOR	 = 0
-SRCS		 =
-SRCS		+= ypclnt_connect.c
-SRCS		+= ypclnt_error.c
-SRCS		+= ypclnt_free.c
-SRCS		+= ypclnt_new.c
-SRCS		+= ypclnt_passwd.c
-SRCS		+= ${GENSRCS}
-INCS		 = ypclnt.h
-CLEANFILES	+= ${GENSRCS}
-CFLAGS		+= -I.
-WARNS		?= 4
-NO_WERROR	 = yes
-DPADD		+= ${LIBRPCSVC}
-LDADD		+= -lrpcsvc
+LIB= ypclnt
+SHLIB_MAJOR=1
+SHLIB_MINOR=0
+SRCS=	ypclnt_connect.c ypclnt_error.c ypclnt_free.c ypclnt_new.c \
+	ypclnt_passwd.c
+SRCS+=	${GENSRCS}
+INCS=	ypclnt.h
+CLEANFILES+= ${GENSRCS}
+CFLAGS+= -I.
+WARNS?=	4
+DPADD=	${LIBRPCSVC}
+LDADD=	-lrpcsvc
 
-GENSRCS		 =
-GENSRCS		+= yp.h
-GENSRCS		+= yp_clnt.c
-GENSRCS		+= yppasswd.h
-GENSRCS		+= yppasswd_xdr.c
-GENSRCS		+= yppasswd_clnt.c
-GENSRCS		+= yppasswd_private.h
-GENSRCS		+= yppasswd_private_clnt.c
-GENSRCS		+= yppasswd_private_xdr.c
+GENSRCS+= yp.h yp_clnt.c \
+	yppasswd.h yppasswd_xdr.c yppasswd_clnt.c yppasswd_private.h \
+	yppasswd_private_clnt.c yppasswd_private_xdr.c
 
-RPCGEN		 = rpcgen -C
-RPCSRC		 = ${.CURDIR}/../../include/rpcsvc/yp.x
-RPCSRC_PW	 = ${.CURDIR}/../../include/rpcsvc/yppasswd.x
-RPCSRC_PRIV	 = ${.CURDIR}/../../usr.sbin/rpc.yppasswdd/yppasswd_private.x
+RPCGEN=	rpcgen -C
+RPCSRC=	${.CURDIR}/../../include/rpcsvc/yp.x
+RPCSRC_PW=	${.CURDIR}/../../include/rpcsvc/yppasswd.x
+RPCSRC_PRIV=	${.CURDIR}/../../usr.sbin/rpc.yppasswdd/yppasswd_private.x
 
 yp.h: ${RPCSRC}
 	${RPCGEN} -h -o ${.TARGET} ${RPCSRC}

From obrien@FreeBSD.org Tue Apr 16 17:57:58 2002
Date: Tue, 16 Apr 2002 17:57:58 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: Bruce Evans <bde@zeta.org.au>
Cc: bde@freebsd.org, ru@freebsd.org
Subject: Re: I intend to commit this
Message-ID: <20020416175758.B29723@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
References: <20020415234003.A4153@dragon.nuxi.com> <20020416225822.M7897-100000@gamplex.bde.org>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
In-Reply-To: <20020416225822.M7897-100000@gamplex.bde.org>; from bde@zeta.org.au on Tue, Apr 16, 2002 at 11:00:42PM +1000
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 999
Lines: 21

> > > > On Tue, Apr 16, 2002 at 12:56:45AM +0200, Dag-Erling Smorgrav wrote:
> > > > > "David O'Brien" <obrien@freebsd.org> writes:
> > > > > > Unless you commit something simular.  Your Makefile style is WAY off
> > > > > > from everything else in FreeBSD'ville.
> > > > >
> > > > > Uh, no.  This is the style we've been moving towards for the past
> > > > > couple of years.  Take it up with Bruce.
> > >
> > > On my list of things to compla^Wfix :-).  Lists are (slightly) easier
> > > to write but (slightly) harder to read when they are are all on one
> > > line.  Readability should be preferred except in files that are edited
> > > a lot.
> >
> > This style is NOTHING like the rest of our Makefiles nor those of the
> > CSRG except for sys.mk.
> 
> That's why it needs fixing :-).  There are other examples of it in pam...
> sys.mk is an unfortunate example.

So you are (1) in favor of my patch (minus *minor* nits), or (2) want the
rest of the Makefiles to follow lib/libypclnt/Makefile?

From owner-cvs-committers@FreeBSD.org  Thu Apr 18 08:15:14 2002
Delivered-To: obrien@freebsd.org
Return-Path: owner-cvs-committers@FreeBSD.org
Received: from localhost
	by localhost with POP3 (fetchmail-5.8.17)
	for obrien@localhost (single-drop); Thu, 18 Apr 2002 08:15:14 -0700 (PDT)
Received: by hub.freebsd.org (Postfix, from userid 538)
	id 6213A37B41C; Thu, 18 Apr 2002 08:13:21 -0700 (PDT)
Delivered-To: cvs-committers@freebsd.org
Received: from freefall.freebsd.org (freefall.FreeBSD.org [216.136.204.21])
	by hub.freebsd.org (Postfix) with ESMTP
	id 377FB37B419; Thu, 18 Apr 2002 08:13:07 -0700 (PDT)
Received: (from obrien@localhost)
	by freefall.freebsd.org (8.11.6/8.11.6) id g3IFD7736526;
	Thu, 18 Apr 2002 08:13:07 -0700 (PDT)
	(envelope-from obrien)
Message-Id: <200204181513.g3IFD7736526@freefall.freebsd.org>
From: "David E. O'Brien" <obrien@FreeBSD.org>
Date: Thu, 18 Apr 2002 08:13:06 -0700 (PDT)
To: cvs-committers@FreeBSD.org, cvs-all@FreeBSD.org
Subject: cvs commit: src/lib/libypclnt Makefile
X-FreeBSD-CVS-Branch: HEAD
Sender: owner-cvs-committers@FreeBSD.org
Precedence: bulk
X-Loop: FreeBSD.ORG
X-UIDL: 1ce7554b1d7e89d0ca3546702733a872
Status: RO
Content-Length: 417
Lines: 13

obrien      2002/04/18 08:13:06 PDT

  Modified files:
    lib/libypclnt        Makefile 
  Log:
  This style is *way* outside the relm of any other of our Makefiles
  (other than the single sys.mk).  Adjust to smell like FreeBSD.
  
  Reviewed & prefered by: bde
  
  Revision  Changes    Path
  1.8       +19 -30    src/lib/libypclnt/Makefile
http://cvsweb.freebsd.org/src/lib/libypclnt/Makefile.diff?r1=1.7&r2=1.8

From obrien@FreeBSD.org Thu Apr 18 08:52:30 2002
Date: Thu, 18 Apr 2002 08:52:30 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: des@freebsd.org
Subject: (FWD) Re: I intend to commit this
Message-ID: <20020418085230.A86638@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 748
Lines: 25

----- Forwarded message from Bruce Evans <bde@zeta.org.au> -----

From: Bruce Evans <bde@zeta.org.au>
Subject: Re: I intend to commit this
Date: Thu, 18 Apr 2002 16:39:57 +1000 (EST)
To: "David O'Brien" <obrien@freebsd.org>
Cc: bde@freebsd.org, <ru@freebsd.org>
X-X-Sender: bde@gamplex.bde.org

On Tue, 16 Apr 2002, David O'Brien wrote:

> > > This style is NOTHING like the rest of our Makefiles nor those of the
> > > CSRG except for sys.mk.
> >
> > That's why it needs fixing :-).  There are other examples of it in pam...
> > sys.mk is an unfortunate example.
>
> So you are (1) in favor of my patch (minus *minor* nits), or (2) want the
> rest of the Makefiles to follow lib/libypclnt/Makefile?

(1).

Bruce

----- End forwarded message -----

From des@ofug.org  Thu Apr 18 09:10:04 2002
Delivered-To: obrien@freebsd.org
Return-Path: des@ofug.org
Received: from localhost
	by localhost with POP3 (fetchmail-5.8.17)
	for obrien@localhost (single-drop); Thu, 18 Apr 2002 09:10:04 -0700 (PDT)
Received: from flood.ping.uio.no (flood.ping.uio.no [129.240.78.31])
	by hub.freebsd.org (Postfix) with ESMTP
	id ED37E37B417; Thu, 18 Apr 2002 09:08:01 -0700 (PDT)
Received: by flood.ping.uio.no (Postfix, from userid 2602)
	id D8AF0530B; Thu, 18 Apr 2002 18:07:59 +0200 (CEST)
Sender: des@flood.ping.uio.no
X-URL: http://www.ofug.org/~des/
X-Disclaimer: The views expressed in this message do not necessarily
  coincide with those of any organisation or company with
  which I am or have been affiliated.
To: obrien@freebsd.org
Cc: bde@freebsd.org
Subject: Re: (FWD) Re: I intend to commit this
References: <20020418085230.A86638@dragon.nuxi.com>
From: Dag-Erling Smorgrav <des@ofug.org>
Date: 18 Apr 2002 18:07:59 +0200
In-Reply-To: <20020418085230.A86638@dragon.nuxi.com>
Message-ID: <xzphem9ouqo.fsf@flood.ping.uio.no>
User-Agent: Gnus/5.0808 (Gnus v5.8.8) Emacs/21.1
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-UIDL: 5966ad9a9813f8433678948eb0ec0cfd
Status: RO
X-Status: A
Content-Length: 1131
Lines: 32

"David O'Brien" <obrien@freebsd.org> writes:
> On Tue, 16 Apr 2002, David O'Brien wrote:
> > So you are (1) in favor of my patch (minus *minor* nits), or (2) want the
> > rest of the Makefiles to follow lib/libypclnt/Makefile?
> (1).

I strongly disagree.  Single-line lists makes adding files much more
difficult, and makes for far less readable diffs when adding or
removing files.  If it's the += you're objecting to, then please do

SRCS=   foo \
        bar \
        baz

rather than

SRCS=   foo bar baz

If you commit the latter, I *will* back it out.

I also find it difficult to understand why you (David) are so
preoccupied about the Makefile for a library which you did not write
and are not maintaining, and why you singled out libypclnt when there
are dozens or hundreds of other Makefiles in the tree that use the
one-file-per-line style.  The only answer I can come up with is sheer
bloodymindedness and / or a personal grudge against me.  In any case,
it's a monumental waste of my time and yours - and core's if you
insist on overriding my maintainership of libypclnt.

DES
-- 
Dag-Erling Smorgrav - des@ofug.org

From obrien@FreeBSD.org Thu Apr 18 09:22:21 2002
Date: Thu, 18 Apr 2002 09:22:21 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: Dag-Erling Smorgrav <des@ofug.org>
Cc: bde@freebsd.org
Subject: Re: (FWD) Re: I intend to commit this
Message-ID: <20020418092221.A89658@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
References: <20020418085230.A86638@dragon.nuxi.com> <xzphem9ouqo.fsf@flood.ping.uio.no>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
In-Reply-To: <xzphem9ouqo.fsf@flood.ping.uio.no>; from des@ofug.org on Thu, Apr 18, 2002 at 06:07:59PM +0200
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 2897
Lines: 78

On Thu, Apr 18, 2002 at 06:07:59PM +0200, Dag-Erling Smorgrav wrote:
> "David O'Brien" <obrien@freebsd.org> writes:
> > On Tue, 16 Apr 2002, David O'Brien wrote:
> > > So you are (1) in favor of my patch (minus *minor* nits), or (2) want the
> > > rest of the Makefiles to follow lib/libypclnt/Makefile?
> > (1).
>
> I strongly disagree.

*sigh*  Why didn't you bring this up before???  All you said to my patch
was BDE told you to do is that way.  You gave me the impression that
other than being OK with BDE, you had no opinion.  So I asked BDE and had
him review that patch.


> Single-line lists makes adding files much more
> difficult, 

That is a matter of opinion.

> and makes for far less readable diffs when adding or
> removing files.  

Then remove files with spaces rather than removing characters; and add
new files to the end.  Then do a style commit.


> If it's the += you're objecting to, then please do
>
> SRCS=   foo \
>         bar \
>         baz
> rather than
> SRCS=   foo bar baz
>
> If you commit the latter, I *will* back it out.

And I will back out your back out.  Changing what I committed to
something simular to other FreeBSD Makefiles is what you should do.  I
guess there are instances of what you have above, so if that is really
what you want to do, I guess you should do that.  But I will not do it,
as you did not speak up before and I don't want to have 5 rounds of
review to find something you won't "back out".

> I also find it difficult to understand why you (David) are so
> preoccupied about the Makefile for a library which you did not write
> and are not maintaining, and why you singled out libypclnt when there
> are dozens or hundreds of other Makefiles in the tree that use the
> one-file-per-line style.

(1) I have spent a lot of time cleaning up Makefiles -- all over the
tree.  I have gotten several private "thank you"s when I have cleaned up
whole subsystems like sys/modules/.  One of the things we proclaim loudly
that is so great about BSD is the consistency of our source base.  I
happen to buy into that, thus why I do this.

libypclnt was "singled out" because you put me looking around in there
the other day.

> The only answer I can come up with is sheer
> bloodymindedness and / or a personal grudge against me.

Nope, not in the least.  What in this exchange about your Makefile makes
you even begin to feel that way??

> In any case,
> it's a monumental waste of my time and yours - and core's if you
> insist on overriding my maintainership of libypclnt.

*sigh* I will forward every email to this topic to them, and they will
see you are now making a 180 degree change and trying to stream roll your
influence on the tree.  Not to mention the type of maintainership you are
pushing here is not one particularly backed by Core.

Keeping FreeBSD from become Linux is not a waste of my time.

--
-- David  (obrien@FreeBSD.org)

From owner-cvs-committers@FreeBSD.org  Thu Apr 18 09:23:44 2002
Delivered-To: obrien@freebsd.org
Return-Path: owner-cvs-committers@FreeBSD.org
Received: from localhost
	by localhost with POP3 (fetchmail-5.8.17)
	for obrien@localhost (single-drop); Thu, 18 Apr 2002 09:23:44 -0700 (PDT)
Received: by hub.freebsd.org (Postfix, from userid 538)
	id 1F14537B417; Thu, 18 Apr 2002 09:20:27 -0700 (PDT)
Delivered-To: cvs-committers@freebsd.org
Received: from freefall.freebsd.org (freefall.FreeBSD.org [216.136.204.21])
	by hub.freebsd.org (Postfix) with ESMTP
	id 3FA4937B400; Thu, 18 Apr 2002 09:20:19 -0700 (PDT)
Received: (from des@localhost)
	by freefall.freebsd.org (8.11.6/8.11.6) id g3IGKIu51885;
	Thu, 18 Apr 2002 09:20:18 -0700 (PDT)
	(envelope-from des)
Message-Id: <200204181620.g3IGKIu51885@freefall.freebsd.org>
From: Dag-Erling Smorgrav <des@FreeBSD.org>
Date: Thu, 18 Apr 2002 09:20:18 -0700 (PDT)
To: cvs-committers@FreeBSD.org, cvs-all@FreeBSD.org
Subject: cvs commit: src/lib/libypclnt Makefile
X-FreeBSD-CVS-Branch: HEAD
Sender: owner-cvs-committers@FreeBSD.org
Precedence: bulk
X-Loop: FreeBSD.ORG
X-UIDL: 7379345cf5488bf1e0458a1139d66f1e
Status: RO
X-Status: A
Content-Length: 674
Lines: 15

des         2002/04/18 09:20:18 PDT

  Modified files:
    lib/libypclnt        Makefile 
  Log:
  Back out previous commit, which was not at all approved by the maintainer
  of this code.  I very much doubt that "the FreeBSD way" really means "make
  it as unreadable and unmaintable as possible", and I would like Makefile
  style (which is not currently documented anywhere except in the minds of
  bde and ru) to be discussed and agreed upon in the appropriate forum
  before any further commits of this kind happen.
  
  Revision  Changes    Path
  1.9       +30 -19    src/lib/libypclnt/Makefile
http://cvsweb.freebsd.org/src/lib/libypclnt/Makefile.diff?r1=1.8&r2=1.9

From obrien@FreeBSD.org Thu Apr 18 09:24:36 2002
Date: Thu, 18 Apr 2002 09:24:36 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: Dag-Erling Smorgrav <des@ofug.org>
Cc: cvs-committers@FreeBSD.org, cvs-all@FreeBSD.org
Subject: Re: cvs commit: src/lib/libypclnt Makefile
Message-ID: <20020418092436.B89658@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
References: <200204181513.g3IFD7736526@freefall.freebsd.org> <xzp8z7loudt.fsf@flood.ping.uio.no>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
In-Reply-To: <xzp8z7loudt.fsf@flood.ping.uio.no>; from des@ofug.org on Thu, Apr 18, 2002 at 06:15:42PM +0200
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 581
Lines: 16

On Thu, Apr 18, 2002 at 06:15:42PM +0200, Dag-Erling Smorgrav wrote:
> "David E. O'Brien" <obrien@FreeBSD.org> writes:
> >   Log:
> >   This style is *way* outside the relm of any other of our Makefiles
> >   (other than the single sys.mk).  Adjust to smell like FreeBSD.
> 
> *sigh*
> 
> David, this is starting to smack of persecution.  Surely you have
> better things to spend your time on than this?

*sigh*  Sorry for having my sense of aesthetics offended by huge
inconsistencies.

Keeping some form of consistency for our centralized source is a worthy
spending of my time.

From des@ofug.org  Thu Apr 18 09:30:34 2002
Delivered-To: obrien@freebsd.org
Return-Path: des@ofug.org
Received: from localhost
	by localhost with POP3 (fetchmail-5.8.17)
	for obrien@localhost (single-drop); Thu, 18 Apr 2002 09:30:34 -0700 (PDT)
Received: from flood.ping.uio.no (flood.ping.uio.no [129.240.78.31])
	by hub.freebsd.org (Postfix) with ESMTP
	id 4511837B42C; Thu, 18 Apr 2002 09:27:41 -0700 (PDT)
Received: by flood.ping.uio.no (Postfix, from userid 2602)
	id D679B534C; Thu, 18 Apr 2002 18:27:39 +0200 (CEST)
Sender: des@flood.ping.uio.no
X-URL: http://www.ofug.org/~des/
X-Disclaimer: The views expressed in this message do not necessarily
  coincide with those of any organisation or company with
  which I am or have been affiliated.
To: obrien@freebsd.org
Cc: bde@freebsd.org
Subject: Re: (FWD) Re: I intend to commit this
References: <20020418085230.A86638@dragon.nuxi.com>
	<xzphem9ouqo.fsf@flood.ping.uio.no>
	<20020418092221.A89658@dragon.nuxi.com>
From: Dag-Erling Smorgrav <des@ofug.org>
Date: 18 Apr 2002 18:27:38 +0200
In-Reply-To: <20020418092221.A89658@dragon.nuxi.com>
Message-ID: <xzp4ri9ottx.fsf@flood.ping.uio.no>
User-Agent: Gnus/5.0808 (Gnus v5.8.8) Emacs/21.1
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-UIDL: fa1592c152e8e1b6466633d6d9bfa4d7
Status: RO
Content-Length: 1118
Lines: 32

"David O'Brien" <obrien@freebsd.org> writes:
> On Thu, Apr 18, 2002 at 06:07:59PM +0200, Dag-Erling Smorgrav wrote:
> > I strongly disagree.
> *sigh*  Why didn't you bring this up before???  All you said to my patch
> was BDE told you to do is that way.

No, I did not.

> > Single-line lists makes adding files much more
> > difficult, 
> That is a matter of opinion.

No, it is not.  It is a fact.

> And I will back out your back out.  Changing what I committed to
> something simular to other FreeBSD Makefiles is what you should do.  I
> guess there are instances of what you have above, so if that is really
> what you want to do, I guess you should do that.  But I will not do it,
> as you did not speak up before and I don't want to have 5 rounds of
> review to find something you won't "back out".

So simply leave this file be.

> *sigh* I will forward every email to this topic to them, and they will
> see you are now making a 180 degree change and trying to stream roll your
> influence on the tree.

That is how you see things.  Others may see something else.

DES
-- 
Dag-Erling Smorgrav - des@ofug.org

From obrien@FreeBSD.org Thu Apr 18 09:47:03 2002
Date: Thu, 18 Apr 2002 09:47:03 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: Dag-Erling Smorgrav <des@ofug.org>
Cc: bde@freebsd.org
Subject: Re: (FWD) Re: I intend to commit this
Message-ID: <20020418094703.B90124@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
References: <20020418085230.A86638@dragon.nuxi.com> <xzphem9ouqo.fsf@flood.ping.uio.no> <20020418092221.A89658@dragon.nuxi.com> <xzp4ri9ottx.fsf@flood.ping.uio.no>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
In-Reply-To: <xzp4ri9ottx.fsf@flood.ping.uio.no>; from des@ofug.org on Thu, Apr 18, 2002 at 06:27:38PM +0200
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 737
Lines: 18

On Thu, Apr 18, 2002 at 06:27:38PM +0200, Dag-Erling Smorgrav wrote:
> "David O'Brien" <obrien@freebsd.org> writes:
> > On Thu, Apr 18, 2002 at 06:07:59PM +0200, Dag-Erling Smorgrav wrote:
> > > I strongly disagree.
> > *sigh*  Why didn't you bring this up before???  All you said to my patch
> > was BDE told you to do is that way.
> 
> No, I did not.

AND I QUOTE:
-----
"David O'Brien" <obrien@freebsd.org> writes:                                  
> Unless you commit something simular.  Your Makefile style is WAY off        
> from everything else in FreeBSD'ville.                                      

Uh, no.  This is the style we've been moving towards for the past             
couple of years.  Take it up with Bruce.
-----

From des@ofug.org  Thu Apr 18 09:57:58 2002
Delivered-To: obrien@freebsd.org
Return-Path: des@ofug.org
Received: from localhost
	by localhost with POP3 (fetchmail-5.8.17)
	for obrien@localhost (single-drop); Thu, 18 Apr 2002 09:57:58 -0700 (PDT)
Received: from flood.ping.uio.no (flood.ping.uio.no [129.240.78.31])
	by hub.freebsd.org (Postfix) with ESMTP
	id 2F18A37B405; Thu, 18 Apr 2002 09:55:00 -0700 (PDT)
Received: by flood.ping.uio.no (Postfix, from userid 2602)
	id 9DF6B5309; Thu, 18 Apr 2002 18:54:58 +0200 (CEST)
Sender: des@flood.ping.uio.no
X-URL: http://www.ofug.org/~des/
X-Disclaimer: The views expressed in this message do not necessarily
  coincide with those of any organisation or company with
  which I am or have been affiliated.
To: obrien@freebsd.org
Cc: bde@freebsd.org
Subject: Re: (FWD) Re: I intend to commit this
References: <20020418085230.A86638@dragon.nuxi.com>
	<xzphem9ouqo.fsf@flood.ping.uio.no>
	<20020418092221.A89658@dragon.nuxi.com>
	<xzp4ri9ottx.fsf@flood.ping.uio.no>
	<20020418094703.B90124@dragon.nuxi.com>
From: Dag-Erling Smorgrav <des@ofug.org>
Date: 18 Apr 2002 18:54:58 +0200
In-Reply-To: <20020418094703.B90124@dragon.nuxi.com>
Message-ID: <xzppu0x9cbh.fsf@flood.ping.uio.no>
User-Agent: Gnus/5.0808 (Gnus v5.8.8) Emacs/21.1
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-UIDL: 9be41eebe31009ad342e338202b1c42a
Status: RO
X-Status: A
Content-Length: 856
Lines: 23

"David O'Brien" <obrien@freebsd.org> writes:
> On Thu, Apr 18, 2002 at 06:27:38PM +0200, Dag-Erling Smorgrav wrote:
> > "David O'Brien" <obrien@freebsd.org> writes:
> > > On Thu, Apr 18, 2002 at 06:07:59PM +0200, Dag-Erling Smorgrav wrote:
> > > > I strongly disagree.
> > > *sigh*  Why didn't you bring this up before???  All you said to my patch
> > > was BDE told you to do is that way.
> > No, I did not.
> AND I QUOTE:
> -----
> "David O'Brien" <obrien@freebsd.org> writes:
> > Unless you commit something simular.  Your Makefile style is WAY off
> > from everything else in FreeBSD'ville.
> Uh, no.  This is the style we've been moving towards for the past
> couple of years.  Take it up with Bruce.
> -----

Good quote!  Now show me where in that quote the words "Bruce told me
to do it that way" appear.

DES
-- 
Dag-Erling Smorgrav - des@ofug.org

From obrien@FreeBSD.org Thu Apr 18 10:00:41 2002
Date: Thu, 18 Apr 2002 10:00:41 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: Dag-Erling Smorgrav <des@ofug.org>
Cc: bde@freebsd.org
Subject: Re: (FWD) Re: I intend to commit this
Message-ID: <20020418100041.A90482@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
References: <20020418085230.A86638@dragon.nuxi.com> <xzphem9ouqo.fsf@flood.ping.uio.no> <20020418092221.A89658@dragon.nuxi.com> <xzp4ri9ottx.fsf@flood.ping.uio.no> <20020418094703.B90124@dragon.nuxi.com> <xzppu0x9cbh.fsf@flood.ping.uio.no>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
In-Reply-To: <xzppu0x9cbh.fsf@flood.ping.uio.no>; from des@ofug.org on Thu, Apr 18, 2002 at 06:54:58PM +0200
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 1126
Lines: 24

On Thu, Apr 18, 2002 at 06:54:58PM +0200, Dag-Erling Smorgrav wrote:
> "David O'Brien" <obrien@freebsd.org> writes:
> > On Thu, Apr 18, 2002 at 06:27:38PM +0200, Dag-Erling Smorgrav wrote:
> > > "David O'Brien" <obrien@freebsd.org> writes:
> > > > On Thu, Apr 18, 2002 at 06:07:59PM +0200, Dag-Erling Smorgrav wrote:
> > > > > I strongly disagree.
> > > > *sigh*  Why didn't you bring this up before???  All you said to my patch
> > > > was BDE told you to do is that way.
> > > No, I did not.
> > AND I QUOTE:
> > -----
> > "David O'Brien" <obrien@freebsd.org> writes:
> > > Unless you commit something simular.  Your Makefile style is WAY off
> > > from everything else in FreeBSD'ville.
> > Uh, no.  This is the style we've been moving towards for the past
> > couple of years.  Take it up with Bruce.
> > -----
> 
> Good quote!  Now show me where in that quote the words "Bruce told me
> to do it that way" appear.

I did not realize I needed to archive EVERY email to/from you.  I don't
have the originial -- just that part which I sent to BDE and Ru.  I would
be thrilled to have you forward me the *complete* original.

From obrien@FreeBSD.org Thu Apr 18 10:02:30 2002
Date: Thu, 18 Apr 2002 10:02:30 -0700
From: David O'Brien <obrien@FreeBSD.org>
To: Dag-Erling Smorgrav <des@ofug.org>
Cc: bde@freebsd.org
Subject: Re: (FWD) Re: I intend to commit this
Message-ID: <20020418100230.A90532@dragon.nuxi.com>
Reply-To: obrien@freebsd.org
References: <20020418085230.A86638@dragon.nuxi.com> <xzphem9ouqo.fsf@flood.ping.uio.no> <20020418092221.A89658@dragon.nuxi.com> <xzp4ri9ottx.fsf@flood.ping.uio.no> <20020418094703.B90124@dragon.nuxi.com> <xzppu0x9cbh.fsf@flood.ping.uio.no>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.2.5i
In-Reply-To: <xzppu0x9cbh.fsf@flood.ping.uio.no>; from des@ofug.org on Thu, Apr 18, 2002 at 06:54:58PM +0200
X-Operating-System: FreeBSD 5.0-CURRENT
Organization: The NUXI BSD group
X-Pgp-Rsa-Fingerprint: B7 4D 3E E9 11 39 5F A3  90 76 5D 69 58 D9 98 7A
X-Pgp-Rsa-Keyid: 1024/34F9F9D5
Status: RO
Content-Length: 1035
Lines: 23

On Thu, Apr 18, 2002 at 06:54:58PM +0200, Dag-Erling Smorgrav wrote:
> "David O'Brien" <obrien@freebsd.org> writes:
> > On Thu, Apr 18, 2002 at 06:27:38PM +0200, Dag-Erling Smorgrav wrote:
> > > "David O'Brien" <obrien@freebsd.org> writes:
> > > > On Thu, Apr 18, 2002 at 06:07:59PM +0200, Dag-Erling Smorgrav wrote:
> > > > > I strongly disagree.
> > > > *sigh*  Why didn't you bring this up before???  All you said to my patch
> > > > was BDE told you to do is that way.
> > > No, I did not.
> > AND I QUOTE:
> > -----
> > "David O'Brien" <obrien@freebsd.org> writes:
> > > Unless you commit something simular.  Your Makefile style is WAY off
> > > from everything else in FreeBSD'ville.
> > Uh, no.  This is the style we've been moving towards for the past
> > couple of years.  Take it up with Bruce.
> > -----
> 
> Good quote!  Now show me where in that quote the words "Bruce told me
> to do it that way" appear.

And how does that change how I should have interpreted your email, that
as long as BDE was happy you did not care?

From des@ofug.org  Thu Apr 18 10:25:18 2002
Delivered-To: obrien@freebsd.org
Return-Path: des@ofug.org
Received: from localhost
	by localhost with POP3 (fetchmail-5.8.17)
	for obrien@localhost (single-drop); Thu, 18 Apr 2002 10:25:18 -0700 (PDT)
Received: from flood.ping.uio.no (flood.ping.uio.no [129.240.78.31])
	by hub.freebsd.org (Postfix) with ESMTP
	id 231A737B416; Thu, 18 Apr 2002 10:24:44 -0700 (PDT)
Received: by flood.ping.uio.no (Postfix, from userid 2602)
	id 038935309; Thu, 18 Apr 2002 19:24:41 +0200 (CEST)
Sender: des@flood.ping.uio.no
X-URL: http://www.ofug.org/~des/
X-Disclaimer: The views expressed in this message do not necessarily
  coincide with those of any organisation or company with
  which I am or have been affiliated.
To: obrien@freebsd.org
Cc: bde@freebsd.org
Subject: Re: (FWD) Re: I intend to commit this
References: <20020418085230.A86638@dragon.nuxi.com>
	<xzphem9ouqo.fsf@flood.ping.uio.no>
	<20020418092221.A89658@dragon.nuxi.com>
	<xzp4ri9ottx.fsf@flood.ping.uio.no>
	<20020418094703.B90124@dragon.nuxi.com>
	<xzppu0x9cbh.fsf@flood.ping.uio.no>
	<20020418100041.A90482@dragon.nuxi.com>
From: Dag-Erling Smorgrav <des@ofug.org>
Date: 18 Apr 2002 19:24:40 +0200
In-Reply-To: <20020418100041.A90482@dragon.nuxi.com>
Message-ID: <xzpg01sapif.fsf@flood.ping.uio.no>
User-Agent: Gnus/5.0808 (Gnus v5.8.8) Emacs/21.1
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-UIDL: fd9ebb6a1aa453b98b4cb1f2481ee2d9
Status: RO
Content-Length: 1502
Lines: 40

--=-=-=

"David O'Brien" <obrien@freebsd.org> writes:
> I did not realize I needed to archive EVERY email to/from you.  I don't
> have the originial -- just that part which I sent to BDE and Ru.  I would
> be thrilled to have you forward me the *complete* original.

That *is* the complete original.  I've attached a copy of the full
email (with headers and signature) as it appears in my outbox.

DES
-- 
Dag-Erling Smorgrav - des@ofug.org


--=-=-=
Content-Type: message/rfc822
Content-Disposition: inline

Sender: des@flood.ping.uio.no
X-URL: http://www.ofug.org/~des/
X-Disclaimer: The views expressed in this message do not necessarily
  coincide with those of any organisation or company with
  which I am or have been affiliated.
To: obrien@freebsd.org
Subject: Re: I intend to commit this
References: <20020415155235.A253@dragon.nuxi.com>
From: Dag-Erling Smorgrav <des@ofug.org>
Date: 16 Apr 2002 00:56:45 +0200
In-Reply-To: <20020415155235.A253@dragon.nuxi.com>
Message-ID: <xzpu1qcbmfm.fsf@flood.ping.uio.no>
User-Agent: Gnus/5.0808 (Gnus v5.8.8) Emacs/21.1
Lines: 10
Xref: flood.ping.uio.no sent.2002-04:255
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

"David O'Brien" <obrien@freebsd.org> writes:
> Unless you commit something simular.  Your Makefile style is WAY off
> from everything else in FreeBSD'ville.

Uh, no.  This is the style we've been moving towards for the past
couple of years.  Take it up with Bruce.

DES
-- 
Dag-Erling Smorgrav - des@ofug.org

--=-=-=--

From des@ofug.org  Thu Apr 18 15:41:38 2002
Delivered-To: obrien@freebsd.org
Return-Path: des@ofug.org
Received: from localhost
	by localhost with POP3 (fetchmail-5.8.17)
	for obrien@localhost (single-drop); Thu, 18 Apr 2002 15:41:38 -0700 (PDT)
Received: from flood.ping.uio.no (flood.ping.uio.no [129.240.78.31])
	by hub.freebsd.org (Postfix) with ESMTP
	id 6611B37B400; Thu, 18 Apr 2002 15:39:30 -0700 (PDT)
Received: by flood.ping.uio.no (Postfix, from userid 2602)
	id C63A75309; Fri, 19 Apr 2002 00:39:28 +0200 (CEST)
Sender: des@flood.ping.uio.no
X-URL: http://www.ofug.org/~des/
X-Disclaimer: The views expressed in this message do not necessarily
  coincide with those of any organisation or company with
  which I am or have been affiliated.
To: obrien@freebsd.org
Cc: core@freebsd.org
Subject: Re: cvs commit: src/lib/libypclnt Makefile
References: <200204181620.g3IGKIu51885@freefall.freebsd.org>
	<20020418142605.A98169@dragon.nuxi.com>
From: Dag-Erling Smorgrav <des@ofug.org>
Date: 19 Apr 2002 00:39:28 +0200
In-Reply-To: <20020418142605.A98169@dragon.nuxi.com>
Message-ID: <xzpn0w08wdb.fsf@flood.ping.uio.no>
User-Agent: Gnus/5.0808 (Gnus v5.8.8) Emacs/21.1
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-UIDL: 3c0893e4cbbbdf2ff612216d2762e01a
Status: RO
X-Status: A
Content-Length: 2333
Lines: 42

David, frankly, this is all just a big waste of everybody's time.
You're the one who keeps escalating this, while all I'm asking is for
you to leave libypclnt alone.  I would much rather see you devote your
energy to gcc.  I seem to remember you trying to tell people to stop
committing warning fixes because the switch to 3.1 was imminent (two
months ago? three?) - but it still hasn't happened, and you have
failed to respond to questions about how developers could switch their
individual systems to gcc 3.1 to contribute to testing.  I even asked
you for a way to provide monetary incentives to speed up gcc work, but
did not receive any reply.

Meanwhile, you are pursuing what from my point of view almost seems
like a systematic campaign against my work, to the point where I have
at several occasions seriously considered resigning from the project
just to get away from you.  No other committer (and this includes phk)
has given me anything like the amount of bitching I get from you.

I'm quite willing to believe that you are not consciously trying to
make my life difficult, but I think you should at least consider the
possibility that you approach my work with a certain amount of
prejudice, intentional or not.  I don't find that healthy.  It only
serves to make me apprehensive of any communication with you.

BTW, this is not the first time you seem to think a few minutes is an
adequate amount of time to wait for feedback from a fellow committer,
nor the first time you twist plain english into whatever best suits
your pre-formed opinion.  ISTR a certain affair involving libfetch
some time ago, where you interpreted my request for more information
about a bug as an indication that I didn't give a shit about it, and
decided to commit an incorrect patch instead of actually providing me
with the information I asked for.  I'm not saying this establishes a
pattern, but one must admit the two events bear a certain similarity.

As for the technicalities of the case in point, I refer you to the
committer guidelines and the commonly accepted "best practices".  I
doubt that anyone would contest that libypclnt is a work in progress,
as the first commit was less than a week ago, and I do not recall core
granting you any kind of police authority over the source tree.

DES
-- 
Dag-Erling Smorgrav - des@ofug.org

